<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.435
Name: Vehicle Driver
Description: Vehicle Driver: Patient was bestuurder
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139">
   <title>Vehicle Driver</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]
Item: (VehicleDriver)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]"
         id="d39e10492-false-d26100e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]) &lt;= 1">(VehicleDriver): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]
Item: (VehicleDriver)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]"
         id="d39e10513-false-d26117e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(VehicleDriver): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(VehicleDriver): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="@negationInd">(VehicleDriver): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(VehicleDriver): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']) &gt;= 1">(VehicleDriver): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']) &lt;= 1">(VehicleDriver): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="count(hl7:code[(@code = '127349007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(VehicleDriver): element hl7:code[(@code = '127349007' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="count(hl7:code[(@code = '127349007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(VehicleDriver): element hl7:code[(@code = '127349007' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']
Item: (VehicleDriver)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']"
         id="d39e10525-false-d26179e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VehicleDriver): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.435')">(VehicleDriver): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.435' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]/hl7:code[(@code = '127349007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (VehicleDriver)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.435']]/hl7:code[(@code = '127349007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d39e10530-false-d26199e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VehicleDriver): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="string(@code) = ('127349007')">(VehicleDriver): de waarde van code MOET '127349007' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="@displayName">(VehicleDriver): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(VehicleDriver): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
   </rule>
</pattern>
